Schema "fpml-pretrade-processes-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/pretrade

Version:

  $Revision: 10175 $

Defined Components:

  10 global elements, 83 local elements, 27 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\pretrade\fpml-pretrade-processes-5-5.xsd; see XML source

Includes Schema:

  fpml-business-events-5-5.xsd [src]

Included in Schema:

  fpml-main-5-5.xsd [src]

All Element Summary
amountRemaining |
Type: | xsd:integer
Content: | simple
Defined: | locally witnin LimitApplicable complexType; see XML source
amountUtilized |
Type: | xsd:integer
Content: | simple
Defined: | locally witnin LimitApplicable complexType; see XML source
approvalId |
Type: | ApprovalId
Content: | simple, 1 attribute
Defined: | locally witnin CreditLimitReference complexType; see XML source
approvedNotionalAmount | (partial approval) Specifies the fixed amount approved expressed as notional amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CreditRiskLimit complexType; see XML source
approvedNumberOfOptions | (partial approval) Specifies the fixed amount approved expressed as number of options.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CreditRiskLimit complexType; see XML source
approvedNumberOfUnits | (partial approval) Specifies the fixed amount approved expressed as number of units.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CreditRiskLimit complexType; see XML source
approvingPartyReference |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin CreditLimitReference complexType; see XML source
clipSize |
Type: | xsd:integer
Content: | simple
Defined: | locally witnin LimitApplicable complexType; see XML source
counterofferQuote |
Type: | xsd:string
Content: | simple
Defined: | locally witnin OrderStatus complexType; see XML source
counterpartyReference |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin OrderFill complexType; see XML source
creditApprovalModel (defined in OriginalRequestDetails complexType) |
Type: | CreditApprovalModel
Content: | simple, 1 attribute
Defined: | locally witnin OriginalRequestDetails complexType; see XML source
creditApprovalModel (in requestLimitCheck) | Code to indicate the credit approval model e.g., PushToPing, PushToStop, Plus1ToStop, Plus1ToPing, Ping.
Type: | CreditApprovalModel
Content: | simple, 1 attribute
Defined: | locally witnin RequestLimitCheck complexType; see XML source
creditApprovalRequestType (defined in OriginalRequestDetails complexType) |
Type: | CreditApprovalRequestTypeEnum
Content: | simple
Defined: | locally witnin OriginalRequestDetails complexType; see XML source
creditApprovalRequestType (in requestLimitCheck) |
Type: | CreditApprovalRequestTypeEnum
Content: | simple
Defined: | locally witnin RequestLimitCheck complexType; see XML source
creditLimit (defined in CreditLimitInformationExtended complexType) |
Type: | CreditLimitExtended
Content: | complex, 10 elements
Defined: | locally witnin CreditLimitInformationExtended complexType; see XML source
creditLimit (in creditLimitInformation in creditLimitReport) |
Type: | CreditLimit
Content: | complex, 8 elements
Defined: | locally witnin CreditLimitInformation complexType; see XML source
creditLimitException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
creditLimitInformation (in creditLimitReport) |
Type: | CreditLimitInformation
Content: | complex, 3 elements
Defined: | locally witnin CreditLimitReport complexType; see XML source
creditLimitInformation (in restoreCredit) |
Type: | CreditLimitInformationExtended
Content: | complex, 3 elements
Defined: | locally witnin RestoreCredit complexType; see XML source
creditLimitInformation (in setCreditLimit) |
Type: | CreditLimitInformationExtended
Content: | complex, 3 elements
Defined: | locally witnin SetCreditLimit complexType; see XML source
creditLimitReference (in creditRiskLimit in limitCheckApproved) |
Type: | CreditLimitReference
Content: | complex, 2 elements
Defined: | locally witnin CreditRiskLimit complexType; see XML source
creditLimitReference (in creditRiskLimit in limitCheckRefused) |
Type: | CreditLimitReference
Content: | complex, 2 elements
Defined: | locally witnin CreditRiskLimitRefused complexType; see XML source
creditLimitReference (in orderStatus) |
Type: | CreditLimitReference
Content: | complex, 2 elements
Defined: | locally witnin OrderStatus complexType; see XML source
creditLimitReport |
Type: | CreditLimitReport
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
creditLimitResponse |
Type: | CreditLimitResponse
Content: | complex, 3 attributes, 8 elements
Defined: | globally; see XML source
Used: | never
creditRiskLimit (in limitCheckApproved) |
Type: | CreditRiskLimit
Content: | complex, 11 elements
Defined: | locally witnin LimitCheckApproved complexType; see XML source
creditRiskLimit (in limitCheckRefused) |
Type: | CreditRiskLimitRefused
Content: | complex, 5 elements
Defined: | locally witnin LimitCheckRefused complexType; see XML source
currency (defined in CreditLimit complexType) |
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin CreditLimit complexType; see XML source
currency (in limitApplicable) |
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin LimitApplicable complexType; see XML source
description (defined in CreditLimitCheckReason complexType) |
Type: | xsd:string
Content: | simple
Defined: | locally witnin CreditLimitCheckReason complexType; see XML source
description (defined in CreditLimitCheckReason complexType) | free form description of the reason
Type: | xsd:string
Content: | simple
Defined: | locally witnin CreditLimitCheckReason complexType; see XML source
executionDateTime (in fill) |
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin OrderFill complexType; see XML source
expirationDate (defined in CreditLimit complexType) |
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin CreditLimit complexType; see XML source
fill |
Type: | OrderFill
Content: | complex, 6 elements
Defined: | locally witnin OrderStatus complexType; see XML source
filledSize |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OrderStatus complexType; see XML source
fillId |
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin OrderFill complexType; see XML source
fills |
Type: | xsd:integer
Content: | simple
Defined: | locally witnin OrderStatus complexType; see XML source
fullApproval |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditRiskLimit complexType; see XML source
limitApplicable |
Type: | LimitApplicable
Content: | complex, 6 elements
Defined: | locally witnin CreditLimit complexType; see XML source
limitCheckApproved |
Type: | LimitCheckApproved
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
limitCheckRefused |
Type: | LimitCheckRefused
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
limitExpiryTimeStamp (in creditRiskLimit in limitCheckApproved) |
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin CreditRiskLimit complexType; see XML source
limitExpiryTimeStamp (in creditRiskLimit in limitCheckRefused) |
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin CreditRiskLimitRefused complexType; see XML source
limitId |
Type: | LimitId
Content: | simple, 1 attribute
Defined: | locally witnin CreditLimit complexType; see XML source
limitModel (defined in CreditLimitInformationExtended complexType) |
Type: | LimitModelEnum
Content: | simple
Defined: | locally witnin CreditLimitInformationExtended complexType; see XML source
limitModel (in creditLimitInformation in creditLimitReport) |
Type: | LimitModelEnum
Content: | simple
Defined: | locally witnin CreditLimitInformation complexType; see XML source
limitRefused |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditRiskLimitRefused complexType; see XML source
limitType | Standard code to indicate which type of credit line is being referred to - i.e.
Type: | LimitType
Content: | simple, 1 attribute
Defined: | locally witnin LimitApplicable complexType; see XML source
order |
Type: | xsd:string
Content: | simple
Defined: | locally witnin OrderStatus complexType; see XML source
orderId (in fill) |
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin OrderFill complexType; see XML source
orderId (in orderStatus) |
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin OrderStatus complexType; see XML source
orderId (in orderStatus) |
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin OrderStatus complexType; see XML source
orderRevalidation |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditLimitExtended complexType; see XML source
orderStatus |
Type: | OrderStatus
Content: | complex, 16 elements
Defined: | locally witnin OrderStatusNotification complexType; see XML source
orderStatusNotification |
Type: | OrderStatusNotification
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
originalRequestDetails (in creditRiskLimit in limitCheckApproved) |
Type: | OriginalRequestDetails
Content: | complex, 5 elements
Defined: | locally witnin CreditRiskLimit complexType; see XML source
originalRequestDetails (in creditRiskLimit in limitCheckRefused) |
Type: | OriginalRequestDetails
Content: | complex, 5 elements
Defined: | locally witnin CreditRiskLimitRefused complexType; see XML source
originalTrade (defined in OriginalRequestDetails complexType) | Fully describes the original trade (prior to the exercise).
Type: | Trade
Content: | complex, 1 attribute, 13 elements
Defined: | locally witnin OriginalRequestDetails complexType; see XML source
partyInformation (defined in CreditLimitInformationExtended complexType) |
Type: | PartyTradeInformation
Content: | complex, 28 elements
Defined: | locally witnin CreditLimitInformationExtended complexType; see XML source
partyInformation (in creditLimitInformation in creditLimitReport) |
Type: | PartyTradeInformation
Content: | complex, 28 elements
Defined: | locally witnin CreditLimitInformation complexType; see XML source
period (in velocity) |
Type: | PeriodTimeEnum
Content: | simple
Defined: | locally witnin Velocity complexType; see XML source
periodMultiplier (in velocity) |
Type: | xsd:integer
Content: | simple
Defined: | locally witnin Velocity complexType; see XML source
price |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OrderFill complexType; see XML source
reason (in creditLimitResponse) |
Type: | CreditLimitCheckReason
Content: | complex, 3 elements
Defined: | locally witnin CreditLimitResponse complexType; see XML source
reason (in creditRiskLimit in limitCheckApproved) |
Type: | CreditLimitCheckReason
Content: | complex, 3 elements
Defined: | locally witnin CreditRiskLimit complexType; see XML source
reason (in creditRiskLimit in limitCheckRefused) |
Type: | CreditLimitCheckReason
Content: | complex, 3 elements
Defined: | locally witnin CreditRiskLimitRefused complexType; see XML source
reason (in orderStatus) |
Type: | Reason
Content: | complex, 5 elements
Defined: | locally witnin OrderStatus complexType; see XML source
reason (in restoreCredit) |
Type: | CreditLimitCheckReason
Content: | complex, 3 elements
Defined: | locally witnin RestoreCredit complexType; see XML source
reason (in suspendCredit) |
Type: | CreditLimitCheckReason
Content: | complex, 3 elements
Defined: | locally witnin SuspendCredit complexType; see XML source
reasonCode (defined in CreditLimitCheckReason complexType) | reason codes for credit limit check messages
Type: | CreditLimitCheckReasonCode
Content: | simple, 1 attribute
Defined: | locally witnin CreditLimitCheckReason complexType; see XML source
remainingSize |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OrderStatus complexType; see XML source
requestedNotionalAmount | Specifies the fixed amount requested expressed as notional amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CreditRiskLimit complexType; see XML source
requestedNumberOfOptions | (partial approval) Specifies the fixed amount approved expressed as number of options.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CreditRiskLimit complexType; see XML source
requestedNumberOfUnits | (partial approval) Specifies the fixed amount approved expressed as number of units.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CreditRiskLimit complexType; see XML source
requesterOrderId |
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin OrderStatus complexType; see XML source
requestingPartyReference (defined in OriginalRequestDetails complexType) |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin OriginalRequestDetails complexType; see XML source
requestingPartyReference (in requestLimitCheck) |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin RequestLimitCheck complexType; see XML source
requestLimitCheck |
Type: | RequestLimitCheck
Content: | complex, 3 attributes, 13 elements
Defined: | globally; see XML source
Used: | never
response |
Type: | SetCreditLimitResponseEnum
Content: | simple
Defined: | locally witnin CreditLimitResponse complexType; see XML source
restoreCredit |
Type: | RestoreCredit
Content: | complex, 3 attributes, 10 elements
Defined: | globally; see XML source
Used: | never
rfqRevalidation |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CreditLimitExtended complexType; see XML source
setCreditLimit |
Type: | SetCreditLimit
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
size |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OrderFill complexType; see XML source
status (in orderStatus) |
Type: | OrderStatusEnum
Content: | simple
Defined: | locally witnin OrderStatus complexType; see XML source
submittedTime |
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin OrderStatus complexType; see XML source
suspendCredit |
Type: | SuspendCredit
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Used: | never
tenor |
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CreditLimit complexType; see XML source
totalSize |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OrderStatus complexType; see XML source
trade (in orderStatus) | trade description.
Type: | Trade
Content: | complex, 1 attribute, 13 elements
Defined: | locally witnin OrderStatus complexType; see XML source
trade (in requestLimitCheck) | The root element in an FpML trade document.
Type: | Trade
Content: | complex, 1 attribute, 13 elements
Defined: | locally witnin RequestLimitCheck complexType; see XML source
tradeIdentifier (defined in OriginalRequestDetails complexType) |
Type: | TradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin OriginalRequestDetails complexType; see XML source
tradeIdentifier (in orderStatus) |
Type: | TradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin OrderStatus complexType; see XML source
velocity |
Type: | Velocity
Content: | complex, 2 elements
Defined: | locally witnin LimitApplicable complexType; see XML source

Complex Type Summary
ApprovalId |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CreditApprovalModel |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
CreditLimit |
Content: | complex, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
CreditLimitCheckReason |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 5 locations
CreditLimitCheckReasonCode |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CreditLimitExtended |
Content: | complex, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CreditLimitInformation |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CreditLimitInformationExtended |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
CreditLimitReference |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations
CreditLimitReport |
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CreditLimitResponse |
Content: | complex, 3 attributes, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CreditRiskLimit |
Content: | complex, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 11 elements
Used: | at 1 location
CreditRiskLimitRefused |
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
LimitApplicable |
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
LimitCheckApproved |
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
LimitCheckRefused |
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
LimitId |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
LimitType |
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
OrderFill |
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
OrderStatus |
Content: | complex, 16 elements
Defined: | globally; see XML source
Includes: | definitions of 16 elements
Used: | at 1 location
OrderStatusNotification |
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
OriginalRequestDetails |
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations
RequestLimitCheck |
Content: | complex, 3 attributes, 13 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
RestoreCredit |
Content: | complex, 3 attributes, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
SetCreditLimit |
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
SuspendCredit |
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Velocity |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="pre" ecore:package="org.fpml.pretrade" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/pretrade" version="$Revision: 10175 $" xmlns="http://www.fpml.org/FpML-5/pretrade" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-business-events-5-5.xsd"/> <!-- ***************************************************************** --> <!-- Request Limit Check / high-level message types --> <!-- ***************************************************************** --> <xsd:complexType name="CreditLimitResponse"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="response" type="SetCreditLimitResponseEnum"/> <xsd:element minOccurs="0" name="reason" type="CreditLimitCheckReason"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CreditLimitReport"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitInformation" type="CreditLimitInformation"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="LimitCheckApproved"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="creditRiskLimit" type="CreditRiskLimit"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="LimitCheckRefused"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="creditRiskLimit" type="CreditRiskLimitRefused"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RequestLimitCheck"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="requestingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="creditApprovalRequestType" type="CreditApprovalRequestTypeEnum"/> <xsd:element minOccurs="0" name="creditApprovalModel" type="CreditApprovalModel"> <xsd:annotation> <xsd:documentation xml:lang="en"> Code to indicate the credit approval model e.g., PushToPing, PushToStop, Plus1ToStop, Plus1ToPing, Ping. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="trade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en">The root element in an FpML trade document.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OrderStatusNotification"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="orderStatus" type="OrderStatus"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SetCreditLimit"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitInformation" type="CreditLimitInformationExtended"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SuspendCredit"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element minOccurs="0" name="reason" type="CreditLimitCheckReason"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RestoreCredit"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="reason" type="CreditLimitCheckReason"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitInformation" type="CreditLimitInformationExtended"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!-- ***************************************************************** --> <!-- Building blocks --> <!-- ***************************************************************** --> <xsd:complexType name="ApprovalId"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="approvalIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CreditApprovalModel"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/credit-approval-model" name="creditApprovalModelScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="CreditRiskLimit"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="fullApproval" type="xsd:boolean"/> <xsd:sequence> <xsd:element minOccurs="0" name="requestedNotionalAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount requested expressed as notional amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="approvedNotionalAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> (partial approval) Specifies the fixed amount approved expressed as notional amount. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="requestedNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> (partial approval) Specifies the fixed amount approved expressed as number of options. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="approvedNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> (partial approval) Specifies the fixed amount approved expressed as number of options. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="requestedNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> (partial approval) Specifies the fixed amount approved expressed as number of units. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="approvedNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> (partial approval) Specifies the fixed amount approved expressed as number of units. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="CreditLimitCheckReason"/> <xsd:element minOccurs="0" name="limitExpiryTimeStamp" type="xsd:dateTime"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitReference" type="CreditLimitReference"/> <xsd:element minOccurs="0" name="originalRequestDetails" type="OriginalRequestDetails"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CreditRiskLimitRefused"> <xsd:sequence> <xsd:element minOccurs="0" name="limitRefused" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="CreditLimitCheckReason"/> <xsd:element minOccurs="0" name="limitExpiryTimeStamp" type="xsd:dateTime"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitReference" type="CreditLimitReference"/> <xsd:element minOccurs="0" name="originalRequestDetails" type="OriginalRequestDetails"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CreditLimit"> <xsd:sequence> <xsd:element minOccurs="0" name="limitId" type="LimitId"/> <xsd:group ref="Product.model"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="tenor" type="Period"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="limitApplicable" type="LimitApplicable"/> <xsd:element minOccurs="0" name="expirationDate" type="xsd:dateTime"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CreditLimitInformation"> <xsd:sequence> <xsd:element minOccurs="0" name="partyInformation" type="PartyTradeInformation"/> <xsd:element minOccurs="0" name="limitModel" type="LimitModelEnum"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimit" type="CreditLimit"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CreditLimitInformationExtended"> <xsd:sequence> <xsd:element minOccurs="0" name="partyInformation" type="PartyTradeInformation"/> <xsd:element minOccurs="0" name="limitModel" type="LimitModelEnum"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimit" type="CreditLimitExtended"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CreditLimitExtended"> <xsd:complexContent> <xsd:extension base="CreditLimit"> <xsd:sequence> <xsd:element minOccurs="0" name="rfqRevalidation" type="xsd:boolean"/> <xsd:element minOccurs="0" name="orderRevalidation" type="xsd:boolean"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CreditLimitReference"> <xsd:sequence> <xsd:element minOccurs="0" name="approvingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="approvalId" type="ApprovalId"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="LimitApplicable"> <xsd:sequence> <xsd:element minOccurs="0" name="limitType" type="LimitType"> <xsd:annotation> <xsd:documentation xml:lang="en"> Standard code to indicate which type of credit line is being referred to - i.e. IM, DV01, PV01, CS01, Notional, Clip Size, Notional, maximumOrderQuantity </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="clipSize" type="xsd:integer"/> <xsd:element minOccurs="0" name="amountUtilized" type="xsd:integer"/> <xsd:element minOccurs="0" name="amountRemaining" type="xsd:integer"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="velocity" type="Velocity"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CreditLimitCheckReason"> <xsd:choice> <xsd:sequence> <xsd:element name="reasonCode" type="CreditLimitCheckReasonCode"> <xsd:annotation> <xsd:documentation>reason codes for credit limit check messages</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="description" type="xsd:string"/> </xsd:sequence> <xsd:element name="description" type="xsd:string"> <xsd:annotation> <xsd:documentation>free form description of the reason</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:complexType> <xsd:complexType name="CreditLimitCheckReasonCode"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/credit-limit-check-reason" name="creditLimitCheckReasonScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="LimitId"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="creditLimitIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="LimitType"> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/credit-limit-type" name="creditLimitTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="OriginalRequestDetails"> <xsd:sequence> <xsd:element minOccurs="0" name="requestingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="creditApprovalRequestType" type="CreditApprovalRequestTypeEnum"/> <xsd:element minOccurs="0" name="creditApprovalModel" type="CreditApprovalModel"/> <xsd:choice minOccurs="0"> <xsd:element name="originalTrade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en"> Fully describes the original trade (prior to the exercise). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="TradeIdentifier"/> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OrderFill"> <xsd:sequence> <xsd:element minOccurs="0" name="orderId" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="fillId" type="xsd:normalizedString"/> <!-- should be tradeID ? --> <xsd:element minOccurs="0" name="size" type="xsd:decimal"/> <xsd:element minOccurs="0" name="price" type="xsd:decimal"/> <xsd:element minOccurs="0" name="executionDateTime" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="counterpartyReference" type="PartyReference"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OrderStatus"> <xsd:sequence> <xsd:choice> <xsd:sequence> <xsd:element name="requesterOrderId" type="xsd:normalizedString"/> <!-- orderer's ID --> <xsd:element minOccurs="0" name="orderId" type="xsd:normalizedString"/> <!-- SEF's order ID --> </xsd:sequence> <xsd:element name="orderId" type="xsd:normalizedString"/> <!-- SEF's order ID --> </xsd:choice> <xsd:element minOccurs="0" name="submittedTime" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="order" type="xsd:string"/> <!-- echo back the order / DUMMY placeholder --> <xsd:element minOccurs="0" name="status" type="OrderStatusEnum"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="reason" type="Reason"/> <!-- reason for a rejected quote --> <xsd:element minOccurs="0" name="counterofferQuote" type="xsd:string"/> <!-- supply a counter-offer quote, e.g. if order is rejected / DUMMY placeholder --> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="totalSize" type="xsd:decimal"/> <!-- number of units of the product being ordered --> <xsd:element minOccurs="0" name="fills" type="xsd:integer"/> <!-- number of fills so far --> <xsd:element minOccurs="0" name="filledSize" type="xsd:decimal"/> <!-- number of units of the product filled so far --> <xsd:element minOccurs="0" name="remainingSize" type="xsd:decimal"/> <!-- number of units of the product remaining to be filled --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fill" type="OrderFill"/> <!-- info about the fills --> <xsd:choice minOccurs="0"> <xsd:element name="trade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en">trade description.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="TradeIdentifier"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitReference" type="CreditLimitReference"/> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Velocity"> <xsd:sequence> <xsd:element minOccurs="0" name="periodMultiplier" type="xsd:integer"/> <xsd:element minOccurs="0" name="period" type="PeriodTimeEnum"/> </xsd:sequence> </xsd:complexType> <!-- ***************************************************************** --> <!-- Request Limit Check / Messages --> <!-- ***************************************************************** --> <xsd:element name="requestLimitCheck" type="RequestLimitCheck"/> <xsd:element name="limitCheckApproved" type="LimitCheckApproved"/> <xsd:element name="limitCheckRefused" type="LimitCheckRefused"/> <xsd:element name="creditLimitReport" type="CreditLimitReport"/> <xsd:element name="creditLimitException" type="Exception"/> <xsd:element name="setCreditLimit" type="SetCreditLimit"/> <xsd:element name="creditLimitResponse" type="CreditLimitResponse"/> <xsd:element name="suspendCredit" type="SuspendCredit"/> <xsd:element name="restoreCredit" type="RestoreCredit"/> <xsd:element name="orderStatusNotification" type="OrderStatusNotification"/> <!-- Other existing messages used: serviceNotification --> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.